## cpdf 2.8.1

=== Makefile ===
# Build the cpdf command line tools
NONDOC = cpdfyojson cpdfxmlm

DOC = cpdfutil cpdfunicodedata cpdferror cpdfdebug cpdfjson cpdfstrftime \
      cpdfcoord cpdfattach cpdfpagespec cpdfposition cpdfpresent cpdfmetadata \
      cpdfbookmarks cpdfpage cpdftruetype cpdfremovetext cpdfextracttext \
      cpdfembed cpdffont cpdftype cpdfaddtext cpdfpad cpdfocg cpdfsqueeze \
      cpdfdraft cpdfspot cpdfpagelabels cpdfcreate cpdfannot cpdfxobject \
      cpdfimpose cpdfchop cpdftweak cpdfprinttree cpdfua cpdftexttopdf \
      cpdftoc cpdfjpeg cpdfjpeg2000 cpdfpng cpdfimage cpdfdraw \
      cpdfcomposition cpdfshape cpdfcolours cpdfdrawcontrol cpdfcommand

MODS = $(NONDOC) $(DOC)

SOURCES = $(foreach x,$(MODS),$(x).ml $(x).mli) cpdfcommandrun.ml

RESULT = cpdf
ANNOTATE = true
PACKS = camlpdf

CFLAGS = -fPIC
OCAMLFLAGS = -bin-annot
OCAMLNCFLAGS = -g -safe-string
OCAMLBCFLAGS = -g -safe-string
OCAMLLDFLAGS = -g

TARGETS := byte-code byte-code-library htdoc

LIBINSTALL_FILES = cpdf.cma \
$(foreach x,$(MODS),$x.mli) $(foreach x,$(MODS),$x.cmi) \
$(foreach x,$(MODS),$x.cmti)

ifneq ($(shell ocamlopt -version),)
  TARGETS += native-code native-code-library
  LIBINSTALL_FILES += cpdf.a cpdf.cmxa $(foreach x,$(MODS),$x.cmx)
endif

all : $(TARGETS)

clean ::
	rm -rf doc foo foo2 out.pdf out2.pdf out3.pdf foo.pdf decomp.pdf *.cmt \
	*.cmti *.json test/*.pdf *.ps *.aux *.idx *.log *.out *.toc *.cut \
	*.ttf *.ttx out.png

DOC_FILES = $(foreach x,$(DOC),$(x).mli)

install : libinstall

-include OCamlMakefile

=== compressor/Makefile ===
SOURCES = compressor.ml

RESULT = compressor

PACKS = camlpdf

TARGETS := native-code

OCAMLFLAGS = -bin-annot
OCAMLNCFLAGS = -g -safe-string -w -3
OCAMLBCFLAGS = -g -safe-string -w -3
OCAMLLDFLAGS = -g

all : $(TARGETS)

clean ::
	rm -rf doc foo foo2 out.pdf out2.pdf *.cmt *.cmti *.zlib

-include OCamlMakefile

=== debian/changelog ===
cpdf (2.8.1-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Mon, 13 Oct 2025 08:51:50 +0200

cpdf (2.8.1-1) unstable; urgency=low

  [ John Whitington ]
  * Initial release (Closes: #1112327)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Aug 2025 15:53:31 +0200

=== debian/control ===
Source: cpdf
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 John Whitington <john@coherentgraphics.co.uk>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-findlib,
 libcamlpdf-ocaml-dev,
 dh-ocaml
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/johnwhitington/cpdf-source
Vcs-Git: https://salsa.debian.org/ocaml-team/cpdf.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/cpdf

Package: libcpdf-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: PDF command line tools as an OCaml library
 The Coherent PDF tools provide a wide range of facilities for
 modifying PDF files created by other means. There is a single
 command-line program cpdf.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use Cpdf as a library.

Package: cpdf
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: PDF command line tools
 The Coherent PDF tools provide a wide range of facilities for
 modifying PDF files created by other means. There is a single
 command-line program cpdf.
 .
 This package contains the cpdf executable.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

export NO_CUSTOM=y

%:
	dh $@ --with ocaml --no-parallel

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR) $(DESTDIR)$(OCAML_DLL_DIR)
	dh_auto_install
	find $(DESTDIR)$(OCAML_DLL_DIR) -name '*.owner' -delete

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc

override_dh_compress:
	dh_compress -X.pdf

=== debian/watch ===
version=4
https://github.com/johnwhitington/cpdf-source/tags .*/v?([\d\.]+)\.tar\.gz
